Package org.apache.velocity.runtime.directive

# Class StopCommand

java.lang.Object
java.lang.Throwable
java.lang.Error
org.apache.velocity.runtime.directive.StopCommand

All Implemented Interfaces:
  `Serializable`

public class StopCommand extends Error
Stop command for directive Control objects. In an ideal JDK, this would be able to extend a RuntimeThrowable class, but we don't have that. So to avoid the interface changes needed by extending Throwable and the potential errant catches were we to extend RuntimeException, we'll have to extend Error, despite the fact that this is never an error.

Version:
  $Id$
Author:
  Nathan Bubna
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StopCommand()`
`StopCommand(Object stopMe)`
`StopCommand(String message)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
`boolean`
`isFor(Object that)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StopCommand

public StopCommand()

### StopCommand

public StopCommand(String message)

### StopCommand

public StopCommand(Object stopMe)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### isFor

public boolean isFor(Object that)